<h2>510ConnectBot</h2>

<p>Copyright &copy; 2014 Carl Byington
&lt;carl@five-ten-sg.com&gt;</p>

<p>This is an enhanced version of the popular open-source telnet and
secure shell (SSH) client ConnectBot. It now includes tn5250 emulation.</p>

<p>It is licensed under
the <a href="http://www.gnu.org/licenses/gpl-3.0.txt">GPLv3 or later
license</a>.</p>

<p>The complete source code for this application is available at
<a href="http://www.five-ten-sg.com/510Connectbot">http://www.five-ten-sg.com/510Connectbot</a></p>

<h2>Credits</h2>

<p>
This software is based on VX Connectbot provided under the Apache
License, Version 2.0. Copyright &copy; 2012 Martin Matuska
<a href="http://connectbot.vx.sk">http://connectbot.vx.sk</a>
</p>

<p>
Based on Irssiconnectbot provided under the Apache License, Version
2.0.  Copyright &copy; 2013 Iiro Uusitalo and Ville Kerminen
<a href="https://github.com/irssiconnectbot/irssiconnectbot">https://github.com/irssiconnectbot/irssiconnectbot</a>
</p>

<p>
Based on ConnectBot provided under the Apache License, Version
2.0. Copyright &copy; 2007-2008 Kenny Root
<a href="http://the-b.org">http://the-b.org</a> and Jeffrey Sharkey <a href="http://jsharkey.org">http://jsharkey.org</a>
</p>

<p>
Based on the Ganymed SSH2 client provided under a BSD-style
license. Copyright &copy; 2005 - 2006 Swiss Federal Institute of
Technology (ETH Zurich), Department of Computer
Science <a href="http://www.inf.ethz.ch">http://www.inf.ethz.ch</a>,
Christian Plattner.  Copyright &copy; 2006 - 2013 Christian Plattner.
<a href="http://code.google.com/p/ganymed-ssh-2/">http://code.google.com/p/ganymed-ssh-2/</a>
The Java implementations of the AES, Blowfish and 3DES ciphers have been
taken (and slightly modified) from the cryptography package released by
"The Legion Of The Bouncy Castle".
Copyright &copy; 2000 - 2004 The Legion Of The Bouncy Castle
<a href="http://www.bouncycastle.org">http://www.bouncycastle.org</a>
The following disclaimer applies:
</p>

<p>
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.
</p>

<p>
Based on JTA Telnet/SSH client provided under the GPLv2 license.
Copyright &copy; 1996-2005 Matthias L. Jugel and Marcus
Meiner <a href="http://www.javassh.org">http://www.javassh.org</a>
</p>

<p>
Based on TN5250J terminal emulator provided under the GPLv2
license. Copyright &copy; 2001 Kenneth J. Pouncey.
<a href="http://tn5250j.sourceforge.net">http://tn5250j.sourceforge.net</a>
</p>

<p>
Includes the JSOCKS library, provided under the GNU LGPL
license. <a href="http://jsocks.sourceforge.net">http://jsocks.sourceforge.net</a>
</p>

<p>
Includes JZlib provided under a BSD-style license. Copyright &copy;
2000-2004 JCraft, Inc.
<a href="http://www.jcraft.com">http://www.jcraft.com</a>
</p>

<p>
Includes the ssh-agent service developed by Roberto Tyley
<a href="https://github.com/rtyley">https://github.com/rtyley</a>
</p>

<p>
SCP file transfer support is based on
<a href="https://github.com/staktrace/connectbot/commits/filetransfer">https://github.com/staktrace/connectbot/commits/filetransfer</a>
modifications by Kartikaya Gupta.
</p>

<p>
Internal file selection dialog is based on
<a href="http://code.google.com/p/android-file-dialog">http://code.google.com/p/android-file-dialog</a> Android File
Dialog by Alexander Ponomarev, provided under a BSD-style
license.
</p>
